com.fasterxml.jackson.databind.deser.std

## Class JdkDeserializers.UUIDDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
      - - com.fasterxml.jackson.databind.deser.std.FromStringDeserializer<UUID>
        - - com.fasterxml.jackson.databind.deser.std.JdkDeserializers.UUIDDeserializer

All Implemented Interfaces:
  Serializable

Enclosing class:
  JdkDeserializers

    public static class JdkDeserializers.UUIDDeserializer
    extends FromStringDeserializer<UUID>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`JsonDeserializer.None`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass`

### Constructor Summary

Constructors
Constructor and Description
`JdkDeserializers.UUIDDeserializer()`

### Method Summary

Methods
`protected UUID` `_deserialize(String value, DeserializationContext ctxt)`
`protected UUID` `_deserializeEmbedded(Object ob, DeserializationContext ctxt)`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer

`deserialize`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer

`deserializeWithType`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, findDeserializer, getValueClass, getValueType, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`deserialize, getDelegatee, getEmptyValue, getKnownPropertyNames, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdkDeserializers.UUIDDeserializer

    public JdkDeserializers.UUIDDeserializer()

### Method Detail

#### _deserialize

    protected UUID _deserialize(String value,
                    DeserializationContext ctxt)
                         throws IOException,
                                JsonProcessingException

Specified by:
  `_deserialize` in class `FromStringDeserializer<UUID>`
Throws:
  `IOException`
  `JsonProcessingException`

#### _deserializeEmbedded

    protected UUID _deserializeEmbedded(Object ob,
                            DeserializationContext ctxt)
                                 throws IOException,
                                        JsonProcessingException

Overrides:
  `_deserializeEmbedded` in class `FromStringDeserializer<UUID>`
Throws:
  `IOException`
  `JsonProcessingException`